Page MenuHomePhabricator

Update wikimediafoundation.org to foundation.wikimedia.org across numerous repos
Open, MediumPublic

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterRemove foundationwiki url
operations/mediawiki-config : masterUpdate Foundation urls
mediawiki/extensions/WikimediaMessages : masterUpdate Foundation Contact links
mediawiki/extensions/MobileFrontend : masterUpdate Foundation urls
mediawiki/extensions/Collection : masterUpdate Foundation url
mediawiki/extensions/ContributionTracking : masterReplace foundationwiki url
operations/puppet : productionfoundationwiki: revert references to the root URL
mediawiki/extensions/MobileFrontend : masterRemove wikimediafoundation.org references
mediawiki/skins/MinervaNeue : masterReplace foundationwiki url
mediawiki/core : mastermaintenance/interwiki.*: Replace Wikimedia Foundation wiki URL
mediawiki/extensions/Collection : masterFix wikimediafoundation link
mediawiki/extensions/ZeroBanner : masterFix wikimediafoundation link
mediawiki/extensions/ZeroPortal : masterFix wikimediafoundation link
VisualEditor/VisualEditor : masterFix wikimediafoundation link
mediawiki/extensions/ContentTranslation : masterReplace foundationwiki url
mediawiki/extensions/MobileFrontend : masterReplace foundationwiki url
mediawiki/extensions/UploadWizard : masterReplace foundationwiki url
mediawiki/extensions/ArticleFeedbackv5 : masterReplace foundationwiki url
mediawiki/extensions/JsonConfig : masterReplace foundationwiki url

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2018, 3:28 PM

Change 446347 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@master] Replace wikimediafoundation.org with foundation.wikimedia.org

https://gerrit.wikimedia.org/r/446347

Change 446477 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/JsonConfig@master] Replace foundationwiki url

https://gerrit.wikimedia.org/r/446477

Change 446479 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/ContributionTracking@master] Replace foundationwiki url

https://gerrit.wikimedia.org/r/446479

Change 446481 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/CirrusSearch@master] Replace foundationwiki url

https://gerrit.wikimedia.org/r/446481

Change 446482 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/UploadWizard@master] Replace foundationwiki url

https://gerrit.wikimedia.org/r/446482

Change 446483 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/skins/MinervaNeue@master] Replace foundationwiki url

https://gerrit.wikimedia.org/r/446483

Change 446466 had a related patch set uploaded (by Krinkle; owner: Reedy):
[mediawiki/extensions/ContentTranslation@master] Replace foundationwiki url

https://gerrit.wikimedia.org/r/446466

Change 446465 had a related patch set uploaded (by Krinkle; owner: Reedy):
[mediawiki/extensions/ArticleFeedbackv5@master] Replace foundationwiki url

https://gerrit.wikimedia.org/r/446465

Change 446468 had a related patch set uploaded (by Krinkle; owner: Reedy):
[mediawiki/extensions/MobileFrontend@master] Replace foundationwiki url

https://gerrit.wikimedia.org/r/446468

Change 446488 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/MobileFrontend@master] Replace foundationwiki url

https://gerrit.wikimedia.org/r/446488

Change 446482 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Replace foundationwiki url

https://gerrit.wikimedia.org/r/446482

Change 446477 merged by jenkins-bot:
[mediawiki/extensions/JsonConfig@master] Replace foundationwiki url

https://gerrit.wikimedia.org/r/446477

Change 446466 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Replace foundationwiki url

https://gerrit.wikimedia.org/r/446466

Change 446465 merged by jenkins-bot:
[mediawiki/extensions/ArticleFeedbackv5@master] Replace foundationwiki url

https://gerrit.wikimedia.org/r/446465

Change 446468 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Replace foundationwiki url

https://gerrit.wikimedia.org/r/446468

Change 446512 had a related patch set uploaded (by Reedy; owner: Reedy):
[VisualEditor/VisualEditor@master] Fix wikimediafoundation link

https://gerrit.wikimedia.org/r/446512

Change 446512 abandoned by Reedy:
Fix wikimediafoundation link

https://gerrit.wikimedia.org/r/446512

Change 446513 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/ZeroBanner@master] Fix wikimediafoundation link

https://gerrit.wikimedia.org/r/446513

Change 446514 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/ZeroPortal@master] Fix wikimediafoundation link

https://gerrit.wikimedia.org/r/446514

Change 446515 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Collection@master] Fix wikimediafoundation link

https://gerrit.wikimedia.org/r/446515

Change 446514 merged by jenkins-bot:
[mediawiki/extensions/ZeroPortal@master] Fix wikimediafoundation link

https://gerrit.wikimedia.org/r/446514

Change 446513 merged by jenkins-bot:
[mediawiki/extensions/ZeroBanner@master] Fix wikimediafoundation link

https://gerrit.wikimedia.org/r/446513

Change 446515 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Fix wikimediafoundation link

https://gerrit.wikimedia.org/r/446515

Change 446347 merged by jenkins-bot:
[mediawiki/core@master] maintenance/interwiki.*: Replace Wikimedia Foundation wiki URL

https://gerrit.wikimedia.org/r/446347

Change 446483 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Replace foundationwiki url

https://gerrit.wikimedia.org/r/446483

Change 446488 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove wikimediafoundation.org references

https://gerrit.wikimedia.org/r/446488

jcrespo added a subscriber: jcrespo.

Also on monitoring:

[14:42] <icinga-wm> PROBLEM - Ensure legal html en.wb on en.wikibooks.org is CRITICAL: additional\sterms\smay\sapply\. By\susing\sthis\ssite,\syou\sagree\sto\sthe a\shref=(https:)?\/\/foundation\.wikimedia\.org\/wiki\/Terms_of_UseTerms\sof\sUse/a html not found
[14:43] <icinga-wm> PROBLEM - Ensure legal html en.wp on en.wikipedia.org is CRITICAL: additional\sterms\smay\sapply\. By\susing\sthis\ssite,\syou\sagree\sto\sthe a\shref=(https:)?\/\/foundation\.wikimedia\.org\/wiki\/Terms_of_UseTerms\sof\sUse/a html not found
jcrespo removed a project: observability.EditedJul 18 2018, 1:01 PM

Actually, monitoring is correct (not sure about mobile), it is the text on the websites that needs update.

There is definitely some weird stuff going on with the mobile version, although maybe it should not exist anymore? In which case, the links should also be updated.

To be clear - not EVERY link should be changed, and not all in the search results are going to foundation.wikimedia.org - some are going to donate.wikimedia.org or remaining at wikimediafoundation.org. Also the links (such as footer) to wikimediafoundation.org should remain.

Reedy added a comment.Jul 18 2018, 3:09 PM

To be clear - not EVERY link should be changed, and not all in the search results are going to foundation.wikimedia.org - some are going to donate.wikimedia.org or remaining at wikimediafoundation.org. Also the links (such as footer) to wikimediafoundation.org should remain.

But the footer ones would be broken for the next 2 weeks, if we didn't update them, and we weren't redirecting...

So they have been updated. They can be updated again (reverted)

FR have mentioned about their stuff moving to donate, so those patches aren't going tobee merged

Change 446468 had a related patch set uploaded (by Krinkle; owner: Reedy):
[mediawiki/extensions/MobileFrontend@master] Replace foundationwiki url
https://gerrit.wikimedia.org/r/446468

The link change to Terms of Use is correct. However the second change from www.wikimediafoundation.org to www.foundation.wikimedia.org is incorrect as it is meant to link to the main site, which will remain at wikimediafoundation.org.

Change 446515 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Collection@master] Fix wikimediafoundation link
https://gerrit.wikimedia.org/r/446515

This change is unnecessary as the primary website for the Wikimedia Foundation will remain at https://wikimediafoundation.org

Reedy added a comment.Jul 18 2018, 3:45 PM

Change 446468 had a related patch set uploaded (by Krinkle; owner: Reedy):
[mediawiki/extensions/MobileFrontend@master] Replace foundationwiki url
https://gerrit.wikimedia.org/r/446468

The link change to Terms of Use is correct. However the second change from www.wikimediafoundation.org to www.foundation.wikimedia.org is incorrect as it is meant to link to the main site, which will remain at wikimediafoundation.org.

Please listen to what we're saying

We moved the wiki, in advance, because we had to.

If we're not allowed to redirect wikimediafoundation.org to foundation.wikimedia.org and we didn't update the URLs in the messages... we're going to have broken links for numerous weeks till the new site is in place and live. We can't have that, especially in the case of some urls such as our privacy policy and cooke statement/policy

Reedy added a comment.Jul 18 2018, 3:56 PM

Simply, when the new site is online, we can change i18n messages as necessary if some need to point back to the new Wordpress Foundation site.

It's not a lot of effort, and it's easily done.

Change 446468 had a related patch set uploaded (by Krinkle; owner: Reedy):
[mediawiki/extensions/MobileFrontend@master] Replace foundationwiki url
https://gerrit.wikimedia.org/r/446468

The link change to Terms of Use is correct. However the second change from www.wikimediafoundation.org to www.foundation.wikimedia.org is incorrect as it is meant to link to the main site, which will remain at wikimediafoundation.org.

Please listen to what we're saying
We moved the wiki, in advance, because we had to.
If we're not allowed to redirect wikimediafoundation.org to foundation.wikimedia.org and we didn't update the URLs in the messages... we're going to have broken links for numerous weeks till the new site is in place and live. We can't have that, especially in the case of some urls such as our privacy policy and cooke statement/policy

I believe I am listening to you, but apologies if you do not feel I am.

The redirect is already in place and you have indicated that there are no alternatives. Changing these seems to just be creating more work later. However, if your team is okay with that extra work - I am fine with this being temporary. Who will be leading the effort to revert the top-level links back?

Reedy added a comment.Jul 18 2018, 4:12 PM

Like I say, broken URLs onwiki especially (I will admit, some of the README updates were unnecessary to be rushed; when the new site is up, they'll work and it's all fine) weren't acceptable. I'm hoping you agree in that case.

Not everything needs reverting, some commits is partial reverts.

I'm happy to do it (note it's nothing really to do with the Security Team), it's not that much effort, if someone can go through the commits and tell me what needs reverting. Or what needs keeping etc.

I totally agree on the wiki pages that were updated. I was speaking more to the two top-level URLs that were not page specific. I will setup a ticket to revert them later if that works. Thank you! :)

Change 446867 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] foundationwiki: revert references to the root URL

https://gerrit.wikimedia.org/r/446867

Change 446867 merged by BBlack:
[operations/puppet@production] foundationwiki: revert references to the root URL

https://gerrit.wikimedia.org/r/446867

BBlack added a subscriber: BBlack.Jul 26 2018, 11:57 PM

@Reedy - on the policy footer links, there seems to still be a mixup in the live output, which is tripping the updated icinga checks. This is what I get for the contentinfo div on the main page of en.wikibooks, for example:

<div id="footer" role="contentinfo">
                                                <ul id="footer-info">
                                                                <li id="footer-info-lastmod"> This page was last edited on 20 August 2016, at 18:56.</li>
                                                                <li id="footer-info-copyright">Text is available under the <a href="//creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike License.</a>; additional terms may apply.  By using this site, you agree to the <a href="//wikimediafoundation.org/wiki/Terms_of_Use">Terms of Use</a> and <a href="//wikimediafoundation.org/wiki/Privacy_policy">Privacy Policy.</a></li>
                                                        </ul>
                                                <ul id="footer-places">
                                                                <li id="footer-places-privacy"><a href="https://foundation.wikimedia.org/wiki/Privacy_policy" class="extiw" title="wmf:Privacy policy">Privacy policy</a></li>
                                                                <li id="footer-places-about"><a href="/wiki/Wikibooks:Welcome" title="Wikibooks:Welcome">About Wikibooks</a></li>
                                                                <li id="footer-places-disclaimer"><a href="/wiki/Wikibooks:General_disclaimer" title="Wikibooks:General disclaimer">Disclaimers</a></li>
                                                                <li id="footer-places-developers"><a href="https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute">Developers</a></li>
                                                                <li id="footer-places-cookiestatement"><a href="https://foundation.wikimedia.org/wiki/Cookie_statement">Cookie statement</a></li>
                                                                <li id="footer-places-mobileview"><a href="//en.m.wikibooks.org/w/index.php?title=Main_Page&amp;mobileaction=toggle_view_mobile" class="noprint stopMobileRedirectToggle">Mobile view</a></li>
                                                        </ul>
                                                                                <ul id="footer-icons" class="noprint">
                                                                                <li id="footer-copyrightico">
                                                <a href="https://foundation.wikimedia.org/"><img src="/static/images/wikimedia-button.png" srcset="/static/images/wikimedia-button-1.5x.png 1.5x, /static/images/wikimedia-button-2x.png 2x" width="88" height="31" alt="Wikimedia Foundation"/></a>                                    </li>
                                                                                <li id="footer-poweredbyico">
                                                <a href="//www.mediawiki.org/"><img src="/static/images/poweredby_mediawiki_88x31.png" alt="Powered by MediaWiki" srcset="/static/images/poweredby_mediawiki_132x47.png 1.5x, /static/images/poweredby_mediawiki_176x62.png 2x" width="88" height="31"/></a>                                    </li>
                                                                        </ul>
                                                <div style="clear: both;"></div>
                </div>

Note above that footer-places links are updated correctly to foundation.wikimedia.org for privacy and cookies, but in the earlier footer-info the Terms of Use and Privacy Policy links still point at wikimediafoundation.org. Also while we're in there, probably the link href around wikimedia-button.png should revert back to wikimediafoundation.org.

Reedy added a comment.EditedJul 27 2018, 12:01 AM

I... can't replicate

It is replicable logged out though....

Looks like caches that haven't expired/been purged

Liuxinyu970226 added a subscriber: Liuxinyu970226.EditedJul 27 2018, 5:26 AM

Should we also check if there are Tools that are having links to foundation wiki available?

Change 446479 abandoned by Reedy:
Replace foundationwiki url

https://gerrit.wikimedia.org/r/446479

@Reedy - thank you again for offering to update links once the new site launches. Here are a few places pointing to foundation.wikimedia.org that should be pointing to the new site:

  1. extensions/WikimediaMessages/i18n/contactpage/* - https://foundation.wikimedia.org/wiki/Special:MyLanguage/Contact_us -> https://wikimediafoundation.org/about/contact/ (languages will be handled on the new site before site launch - but at this point should all just point to top-level page)
  2. extensions/MobileFrontend/i18n/* - https://foundation.wikimedia.org (in reference to "Wikimedia Foundation, Inc.") -> https://wikimediafoundation.org/
  3. operations/mediawiki-config/wmf-config/CommonSettings.php - <a href="https://foundation.wikimedia.org/">' -> <a href="https://wikimediafoundation.org/">'
  4. operations/mediawiki-config/wmf-config/missing.php - 3 instances of <a href="foundation.wikimedia.org" title="Wikimedia Foundation"> -> <a href="wikimediafoundation.org" title="Wikimedia Foundation">
  5. extensions/Collection/README.rst - https://foundation.wikimedia.org/ -> https://wikimediafoundation.org/

Those are the ones I found - but any other top-level of /wiki/Home pointing ones should be updated as well. Thank you again!

Change 449906 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/WikimediaMessages@master] Update Foundation Contact links

https://gerrit.wikimedia.org/r/449906

Change 449907 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/MobileFrontend@master] Update Foundation urls

https://gerrit.wikimedia.org/r/449907

Change 449908 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Collection@master] Update Foundation url

https://gerrit.wikimedia.org/r/449908

Change 449909 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Update Foundation urls

https://gerrit.wikimedia.org/r/449909

Change 449908 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Update Foundation url

https://gerrit.wikimedia.org/r/449908

Reedy added a comment.Aug 2 2018, 12:05 AM
  1. extensions/MobileFrontend/i18n/* - https://foundation.wikimedia.org (in reference to "Wikimedia Foundation, Inc.") -> https://wikimediafoundation.org/

I do wonder if those ones should be there at all, as they're not in the en version (probably just outdated translations....)

	"mobile-frontend-copyright": "Content is available under $1 unless otherwise noted.",
  1. extensions/MobileFrontend/i18n/* - https://foundation.wikimedia.org (in reference to "Wikimedia Foundation, Inc.") -> https://wikimediafoundation.org/

I do wonder if those ones should be there at all, as they're not in the en version (probably just outdated translations....)

	"mobile-frontend-copyright": "Content is available under $1 unless otherwise noted.",

Good question - probably not from what I can tell. Not sure who is in charge of that pageset now. :/

Change 449907 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Update Foundation urls

https://gerrit.wikimedia.org/r/449907

Change 449906 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Update Foundation Contact links

https://gerrit.wikimedia.org/r/449906

Change 449909 merged by jenkins-bot:
[operations/mediawiki-config@master] Update Foundation urls

https://gerrit.wikimedia.org/r/449909

Thank you @Reedy!

I am not sure that there are others - should we leave this ticket open just in case or close it?

Spoke too soon. :)

Here are a couple more:

  • wikimedia/portals/dev/wikipedia.org/templates/footer.handlebars - foundation.wikimedia.org -> wikimediafoundation.org
  • There is also the URL on wikimedia.org which should be updated - although I have not had a chance to track it down yet.
Reedy added a comment.Aug 3 2018, 11:45 PM
  • There is also the URL on wikimedia.org which should be updated - although I have not had a chance to track it down yet.

https://meta.wikimedia.org/wiki/Www.wikimedia.org_template

https://meta.wikimedia.org/w/index.php?title=Www.wikimedia.org_template&type=revision&diff=18269903&oldid=18219470

It looks like some of the others on that page might want updating too, but not all of them

Might need something doing with the portals too to actually deploy it (this is vague as to what exactly runs what from where... Some of these pages are still on meta, but unused. Some are used... I think)... But if we've gotta change one of the others urls, can get it pulled in too later

Varnent added a comment.EditedAug 4 2018, 12:57 AM

Thank you @Reedy! The other pages for reference on Wikimedia.org:

Might also be worth changing chapters to "movement affiliates" (https://meta.wikimedia.org/wiki/Special:MyLanguage/Wikimedia_movement_affiliates) - but I recognize that could be a whole different discussion. :)

Change 446481 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Remove foundationwiki url

https://gerrit.wikimedia.org/r/446481

Change 446481 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Remove foundationwiki url
https://gerrit.wikimedia.org/r/446481

Will this change remove Governance Wiki from Interwiki or does that just relate to search? I am guessing search, but just want to verify to avoid surprises. :)

Reedy added a comment.Aug 21 2018, 7:58 PM

It's just a test file related to CirrusSearch

Cool beans - thank you! :)

Jdforrester-WMF closed this task as Resolved.Sep 25 2018, 11:59 PM
Varnent reopened this task as Open.EditedOct 3 2018, 11:27 PM

Apparently https://wikitech-static.wikimedia.org/wiki/Main_Page does not pull the link from the repo like other sites (Thank you @Krinkle for pointing out in T200754)

Is there an admin on that site who can fix the link to the General Disclaimer - or ideally delete the page so it pulls from the repo info if possible.

See also T108081 which I won't add as subtask given it's main purpose is something different, but it exposes the fact that after several months Wikibooks is still linking to the (now third-party) domain for its "Terms of Use" and "Privacy policy" links.